API ReferenceWorkflows
Back to Platform

GET /workflows/{id}

GET
/workflows/{id}

GET operation for /workflows/{id}

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://dev-rest.onboard.io/workflows/string"
{
  "id": 1,
  "name": "string",
  "workflow_type": "quick_action",
  "workflow_actions": "string",
  "workflow_actions_display": "string",
  "trigger": "map-created",
  "trigger_display": "string",
  "internal_description": "string",
  "created_at": "2021-01-01T00:00:00Z",
  "modified_at": "2021-01-01T00:00:00Z",
  "created_by": "string",
  "button_color": "string",
  "button_placement": "map",
  "button_title": "string",
  "is_enabled": true,
  "filters": {},
  "filters_rql": "string",
  "workflow_events": "string",
  "is_hidden": true,
  "schedule_type": "daily",
  "schedule_day": 1,
  "schedule_time": "string"
}
Empty
Empty
Empty

How is this guide?